=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2006-03-06 12:11:25 +0000
+++ bzrlib/knit.py	2006-03-06 23:53:02 +0000
@@ -915,7 +915,7 @@
                         new_version_id, new_version_idx)
 
             count = count + 1
-            pb.update(self.target.filename, count, len(version_list))
+            pb.update("Joining knit", count, len(version_list))
 
             pos, size = self.target._data.add_record(version_id, digest, lines)
             self.target._index.add_version(version_id, options, pos, size, parents)

=== modified file 'bzrlib/versionedfile.py'
--- bzrlib/versionedfile.py	2006-03-06 12:11:25 +0000
+++ bzrlib/versionedfile.py	2006-03-06 23:53:02 +0000
@@ -32,6 +32,7 @@
 from bzrlib.symbol_versioning import *
 from bzrlib.transport.memory import MemoryTransport
 from bzrlib.tsort import topo_sort
+from bzrlib import ui
 
 
 class VersionedFile(object):
@@ -337,7 +338,10 @@
         temp_source = self.target.create_empty("temp", MemoryTransport())
         graph = self.source.get_graph()
         order = topo_sort(graph.items())
-        for version in order:
+        if pb is None:
+            pb = ui.ui_factory.progress_bar()
+        for index, version in enumerate(order):
+            pb.update('Converting versioned data', index, len(order))
             temp_source.add_lines(version,
                                   self.source.get_parents(version),
                                   self.source.get_lines(version))

